Summary: 	KDE I/O Slave for the locate command
Name: 		kio-locate
Version: 	0.5.3
Release: 	%mkrel 3
Source:		http://kde-apps.org/CONTENT/content-files/120965-kio-locate-%{version}.tar.gz
Patch0:		kio_locate-0.5.3-mga-add_missing_unistd.h_include.patch
License: 	GPLv2+
Group: 		Graphical desktop/KDE
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL: 		http://kde-apps.org/content/show.php/kio-locate?content=120965
BuildRequires:  kdelibs4-devel

%description
kio-locate is a KDE I/O Slave for the locate command. This means that you can 
use kio-locate by simply typing in konquerors address box.

You can e.g. type "locate:index.html" to find all files that contain 
"index.html" in their name. There's even more: You can use kio-locate in all 
KDE applications, that accept URLs. 

%files -f kio_locate.lang
%defattr(-,root,root)
%{_kde_libdir}/kde4/*.so
%{_kde_docdir}/HTML/en/kioslave/locate/*
%{_kde_services}/*.protocol
%{_kde_services}/searchproviders/*.desktop
#--------------------------------------------------------------------

%prep
%setup -qn kio-locate-%{version}
%patch0 -p1

%build
%cmake_kde4
%make

%install
rm -rf %{buildroot}
%makeinstall_std -C build

%find_lang kio_locate

%clean
rm -rf $RPM_BUILD_ROOT




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.5.3-3.mga3
+ Revision: 356245
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 29 2012 juancho <juancho> 0.5.3-2.mga3
+ Revision: 323197
- Fix build, missing include in locator.cpp

* Wed Jan 11 2012 juancho <juancho> 0.5.3-1.mga2
+ Revision: 194898
- Updated to 0.5.3

* Fri Jan 21 2011 dlucio <dlucio> 0.5.2-1.mga1
+ Revision: 30592
- imported package kio-locate

